version: '3'

services:
   server:
       build:
         context: .
         dockerfile: Dockerfile
       container_name: fastapi_new_server
       shm_size: 2g # 공유메모리 크기 설정(crome 크래시 방지)
       network_mode: bridge
       ports:
         - "8001:8001"
       tty: true
       stdin_open: true
       restart: always
